#
# Conditional build:
%bcond_without	python	# Python binding
#
Summary:	Recursive, validating DNS resolver
Summary(pl.UTF-8):	Rekurencyjny, weryfikujący resolver DNS
Name:		unbound
Version:	1.4.22
Release:	2
License:	BSD
Group:		Applications/Network
Source0:	http://www.unbound.net/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	59728c74fef8783f8bad1d7451eba97f
Source1:	%{name}.init
Source2:	%{name}.service
Source3:	https://data.iana.org/root-anchors/icannbundle.pem
# Source3-md5:	59774aba58dbde1049bdf4722fb4f02c
Source4:	ftp://ftp.internic.net/domain/named.cache
# Source4-md5:	b3b07a2944d29d1f5bd58fe2fe183148
Patch0:		%{name}-default_trust_anchor.patch
URL:		http://unbound.net/
BuildRequires:	expat-devel
BuildRequires:	libevent-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.228
%if %{with python}
BuildRequires:	python-devel >= 1:2.4.0
BuildRequires:	swig-python
%endif
Requires(post,preun):	/sbin/chkconfig
BuildRequires:	rpmbuild(macros) >= 1.671
Provides:	user(unbound)
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	systemd-units >= 38
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unbound is a validating, recursive, and caching DNS resolver.

The C implementation of Unbound is developed and maintained by NLnet
Labs. It is based on ideas and algorithms taken from a Java prototype
developed by Verisign labs, Nominet, Kirei and ep.net.

Unbound is designed as a set of modular components, so that also
DNSSEC (secure DNS) validation and stub-resolvers (that do not run as
a server, but are linked into an application) are easily possible.

%description -l pl.UTF-8
Unbound to weryfikujący, rekurencyjny i cache'ujący resolver (kod
rozwiązujący nazwy) DNS.

Implementacja Unbound w C jest tworzona i utrzymywana przez NLnet
Labs. Jest oparta na pomysłach i algorytmach zaczerpniętych z
prototypu w Javie stworzonego przez Verisign Labs, Nominet, Kirei oraz
ep.net.

Unbound został zaprojektowany jako zbiór modularnych komponentów, więc
możliwe są także weryfikacja DNSSEC (bezpieczny DNS) oraz
resolvery-zaślepki (nie działające jako serwer, ale wbudowane w
aplikację).

%package libs
Summary:	Unbound shared library
Summary(pl.UTF-8):	Biblioteka współdzielona Unbound
Group:		Libraries
Conflicts:	unbound < 1.4.18-1

%description libs
Unbound shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona Unbound.

%package devel
Summary:	Header files for unbound library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki unbound
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	openssl-devel

%description devel
Header files for unbound library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki unbound.

%package static
Summary:	Static unbound library
Summary(pl.UTF-8):	Statyczna biblioteka unbound
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static unbound library.

%description static -l pl.UTF-8
Statyczna biblioteka unbound.

%package -n python-unbound
Summary:	Python interface to unbound library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki unbound
Group:		Python/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-unbound
Python interface to unbound library.

%description -n python-unbound -l pl.UTF-8
Pythonowy interfejs do biblioteki unbound.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{?with_python:--with-pyunbound} \
	--with-pidfile=/run/%{name}.pid \
	--with-chroot-dir="" \
	--with-conf-file=%{_sysconfdir}/%{name}/%{name}.conf \
	--with-rootkey-file=/var/lib/%{name}/root.key \
	--with-rootcert-file=%{_sysconfdir}/%{name}/icannbundle.pem

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{systemdunitdir},/var/lib/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{systemdunitdir}/%{name}.service
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/icannbundle.pem
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/named.cache

touch $RPM_BUILD_ROOT/var/lib/%{name}/root.key

%if %{with python}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/_unbound.{la,a}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%systemd_post %{name}.service
%service %{name} restart

%pre
%useradd -u 196 -g 99 -d /tmp -s /bin/false -c "unbound user" unbound

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi
%systemd_preun %{name}.service

%postun
if [ "$1" = "0" ]; then
	%userremove unbound
fi
%systemd_reload

%triggerpostun -- %{name} < 1.4.22-1
%systemd_trigger %{name}.service

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{CREDITS,Changelog,FEATURES,LICENSE,README,TODO,control_proto_spec.txt,example.conf,ietf67-design-02.pdf,requirements.txt}
%attr(754,root,root) /etc/rc.d/init.d/unbound
%{systemdunitdir}/%{name}.service
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/unbound.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/named.cache
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/icannbundle.pem
%attr(755,root,root) %{_sbindir}/unbound
%attr(755,root,root) %{_sbindir}/unbound-anchor
%attr(755,root,root) %{_sbindir}/unbound-checkconf
%attr(755,root,root) %{_sbindir}/unbound-control*
%attr(755,root,root) %{_sbindir}/unbound-host
%{_mandir}/man1/unbound-host.1*
%{_mandir}/man5/unbound.conf.5*
%{_mandir}/man8/unbound-checkconf.8*
%{_mandir}/man8/unbound.8*
%{_mandir}/man8/unbound-anchor.8*
%{_mandir}/man8/unbound-control*.8*
%dir %attr(755,unbound,nobody) /var/lib/%{name}
%ghost /var/lib/%{name}/root.key

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libunbound.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunbound.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libunbound.so
%{_libdir}/libunbound.la
%{_includedir}/unbound.h
%{_mandir}/man3/libunbound.3*
%{_mandir}/man3/ub_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libunbound.a

%if %{with python}
%files -n python-unbound
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_unbound.so*
%{py_sitedir}/unbound.py[co]
%endif
%changelog
* Fri Apr 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/unbound.git;a=log;h=master

* Fri Apr 25 2014 Jacek Konieczny <jajcus@jajcus.net> 175d642
- Release: 2

* Fri Apr 25 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> b53232e
- Set the auto-trust-anchor-file by default

* Fri Apr 25 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 267353b
- disable chroot in the default config

* Fri Apr 25 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> f959c39
- Run unbound-checkconf after unbound-anchor

* Tue Apr 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c0601a6
- make unbound-anchor quiet

* Tue Mar 18 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 0ddfe46
- systemd units, usable defaults

* Tue Mar 18 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> ba9c829
- Version: 1.4.22

* Wed Jan 22 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5946fd5
- add useradd/userremove deps

* Tue Jan 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c77fe3
- rel 2; create unbound user since it uses it by default

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 379d3e5
- updated to 1.4.21

* Sun Mar 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 8ad6c75
- updated to 1.4.20

* Thu Dec 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 44b158d
- updated to 1.4.19

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> a3e0686
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Tue Oct 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 89d05c6
- updated to 1.4.18
- separated -libs
- build python binding

* Tue Feb 14 2012 alucard <alucard@pld-linux.org> a832dcf
- up to 1.4.16
- soname back to .2 (upstream)

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> b04f2b9
- up to 1.4.15, new soname

* Fri Apr 22 2011 alucard <alucard@pld-linux.org> 511c7ca
- up to 1.4.9

* Mon Apr 05 2010 zbyniu <zbyniu@pld-linux.org> ec6c94e
- full path to daemon

* Mon Apr 05 2010 zbyniu <zbyniu@pld-linux.org> 5ec5342
- up to 1.4.3

* Wed Jul 16 2008 aredridel <aredridel@pld-linux.org> 68d0303
- actually works

